VOYAGER(4)

NAME
voyager - Silicon Motion Mobile Multimedia Companion Chip

SYNOPSIS
voyager* at pci?
gpio0 at voyager?
ohci* at voyager?
smfb* at voyager?

DESCRIPTION
The voyager driver supports the Silicon Motion SM502 MMCC device.

This chip is intended to fulfill most of a modern laptop's I/O needs, and provides:

-   a 2D smfb(4) frame buffer with analog RGB and digital LCD panel interfaces
-   an 8-bit parallel interface
-   a ohci(4) USB controller
-   two UART or IrDA ports
-   two Zoom Video interfaces
-   an AC97 or I2S audio codec
-   two Synchronous Serial Ports (SSP)
-   Pulse Width Modulation (PWM)
-   64 gpio(4) pins

Not all the device interfaces are supported under OpenBSD.

The ohci(4) component only attaches on Gdium Liberty systems with the older motherboard artwork design, as newer systems do not have this USB port connected to anything, causing an otherwise annoying long delay to probe the empty bus on boot.

SEE ALSO
gpio(4), intro(4), ohci(4), pci(4), smfb(4)